<%@ Page Language="C#" AutoEventWireup="true" CodeFile="DeepSoonCheckLogin.cs" Inherits="Security.checkLogin" %>
<%@ Import Namespace="System.IO" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=gb2312" />
		<link rel="stylesheet" href="css/common.css" type="text/css" />
		<title>管理区域</title>
	</head>

	<body style="padding-right:30px;overflow:hidden;">
		<form runat="server" style="margin:0px;padding:0px;">
		<div id="man_zone">
			<span class="adminTitle">服务器参数</span><br>
			<table cellpadding=0 cellspacing=1>
				<tr><td class="colorTd">当前数据库类型</td><td>MySQL数据库</td>
					<td class="colorTd">当前使用版本</td>
					<td>
					<% 
					DeepSoon deepsoon = new DeepSoon();
					Response.Write(deepsoon.deepsoonName +" Version "+deepsoon.deepsoonVersion);
					%>
					</td>
				</tr>
				<tr><td class="colorTd">站点物理路径</td><td><%=HttpContext.Current.Request.PhysicalApplicationPath%></td>
					<td class="colorTd">服务器操作系统类型</td>
					<td>
					<%
						string serverName = "";
						string Agent = HttpContext.Current.Request.ServerVariables["HTTP_USER_AGENT"];
						if (Agent.IndexOf("NT 4.0") > 0) serverName = "Windows NT ";
						else if (Agent.IndexOf("NT 5.0") > 0 )serverName="Windows 2000";
						else if (Agent.IndexOf("NT 5.1") > 0 )serverName="Windows XP";
						else if (Agent.IndexOf("NT 5.2") > 0 )serverName="Windows 2003";
						else if (Agent.IndexOf("NT 6.0") > 0)serverName="Windows Vista";
						else if (Agent.IndexOf("WindowsCE") > 0)serverName="Windows CE";
						else if (Agent.IndexOf("NT") > 0) serverName="Windows NT ";
						else if (Agent.IndexOf("9x") > 0) serverName="Windows ME";
						else if (Agent.IndexOf("98") > 0) serverName="Windows 98";
						else if (Agent.IndexOf("95") > 0)serverName="Windows 95";
						else if (Agent.IndexOf("Win32") > 0)serverName="Win32";
						else if (Agent.IndexOf("Linux") > 0)serverName= "Linux";
						else if (Agent.IndexOf("SunOS") > 0)serverName= "SunOS";
						else if (Agent.IndexOf("Mac") > 0)serverName="Mac";
						else if (Agent.IndexOf("Linux") > 0)serverName="Linux";
						else if (Agent.IndexOf("Windows") > 0)serverName="Windows";
						else serverName="unknow";
						Response.Write(serverName);
						///Response.Write("文件夹读写权限：");
						///DirectoryInfo dInfo = new DirectoryInfo(HttpContext.Current.Request.PhysicalApplicationPath);
						///if(dInfo.GetDirectories().IsReadOnly!=true)//只读
						///Response.Write("属性"+dInfo.GetDirectories().IsReadOnly);
					%>
					</td>
				</tr>
				<tr><td class="colorTd">服务器端口</td>	<td><%=Request.ServerVariables["LOCAL_ADDR"]%></td>
					<td class="colorTd">ASP.Net FrameWork版本</td><td><%=Environment.Version.ToString()%></td>
				</tr>        
			</table>
		
			<span class="adminTitle">快读通道</span>
			<br>
			<a href="deepSoonPreference.aspx">网站首选项</a> | 
			<a href="deepSoonTree.aspx">目录树管理</a> |
			<a href="deepSoonArticleTree.aspx">文章树管理</a>
			<br><br>
		
			<span class="adminTitle">软件更新</span><br>
			最新版本发布请关注官网<a href="http://www.deepsoon.com" target="_blank">地平线官网</a>开源社区.<br>
			地平线官网：<a href="http://www.deepsoon.com" target="_blank">www.deepsoon.com</a> 官方QQ群：330896293 
			
		</div>
		</form>
	</body>
</html>